Package org.springframework.security.config.http

# Class DefaultFilterChainValidator

java.lang.Object
org.springframework.security.config.http.DefaultFilterChainValidator

All Implemented Interfaces:
  `org.springframework.security.web.FilterChainProxy.FilterChainValidator`

public class DefaultFilterChainValidator extends Object implements org.springframework.security.web.FilterChainProxy.FilterChainValidator

## Constructor Summary

Constructors
Constructor
Description
`DefaultFilterChainValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(org.springframework.security.web.FilterChainProxy fcp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFilterChainValidator

public DefaultFilterChainValidator()

## Method Details

### validate

public void validate(org.springframework.security.web.FilterChainProxy fcp)

Specified by:
  `validate` in interface `org.springframework.security.web.FilterChainProxy.FilterChainValidator`